XSetWMIconName(3X11)

NAME
XSetWMIconName, XGetWMIconName, XSetIconName, XGetIconName - set or read a window's WM_ICON_NAME property

SYNTAX
void XSetWMIconName(display, w, text_prop)
      Display *display;
      Window w;
      XTextProperty *text_prop;

Status XGetWMIconName(display, w, text_prop_return)
      Display *display;
      Window w;
      XTextProperty *text_prop_return;

XSetIconName(display, w, icon_name)
      Display *display;
      Window w;
      char *icon_name;

Status XGetIconName(display, w, icon_name_return)
      Display *display;
      Window w;
      char **icon_name_return;

ARGUMENTS

display
    Specifies the connection to the X server.

icon_name
    Specifies the icon name, which should be a null-terminated string.

icon_name_return
    Returns the window's icon name, which is a null-terminated string.

text_prop
    Specifies the structure to be used.

text_prop_return
    Returns the structure.

w   Specifies the window.

DESCRIPTION
The convenience function calls to set the WM_ICON_NAME property.

The convenience function calls to obtain the WM_ICON_NAME property. It returns a nonzero status on success; otherwise, it returns a zero status.

The function sets the name to be displayed in a window's icon.

can generate and errors.

The function returns the name to be displayed in the specified window's icon. If it succeeds, it returns a nonzero status; otherwise, if no icon name has been set for the window, it returns zero. If you never assigned a name to the window, sets icon_name_return to NULL. If the data returned by the server is in the Latin Portable Character Encoding, then the returned string is in the Host Portable Character Encoding. Otherwise, the result is implementation-dependent. When finished with it, a client must free the icon name string using

can generate a error.

PROPERTIES

WM_ICON_NAME
    The name to be used in an icon.

DIAGNOSTICS

The server failed to allocate the requested resource or server memory.

A value for a Window argument does not name a defined Window.

SEE ALSO
XAllocClassHint(3X11), XAllocIconSize(3X11), XAllocSizeHints(3X11), XAllocWMHints(3X11), XFree(3X11), XSetCommand(3X11), XSetTransientForHint(3X11), XSetTextProperty(3X11), XSetWMClientMachine(3X11), XSetWMColormapWindows(3X11), XSetWMName(3X11), XSetWMProperties(3X11), XSetWMProtocols(3X11), XStringListToTextProperty(3X11)
Xlib - C Language X Interface